import request from '@/utils/request'

// 查询事件上报管理列表
export function listInfo(query) {
  return request({
    url: '/report/info/list',
    method: 'get',
    params: query
  })
}

// 查询事件上报管理详细
export function getInfo(reportId) {
  return request({
    url: '/report/info/' + reportId,
    method: 'get'
  })
}

// 新增事件上报管理
export function addInfo(data) {
  return request({
    url: '/report/info',
    method: 'post',
    data: data
  })
}

// 修改事件上报管理
export function updateInfo(data) {
  return request({
    url: '/report/info',
    method: 'put',
    data: data
  })
}

// 删除事件上报管理
export function delInfo(reportId) {
  return request({
    url: '/report/info/' + reportId,
    method: 'delete'
  })
}

// 事件上报类型查询
export function typeList() {
  return request({
    url: '/report/type/list',
    method: 'get'
  })
}

// 同步事件上报管理
export function syncInfo(data) {
  return request({
    url: '/report/info/sync-reset',
    method: 'post',
    data: data
  })
}